Variable writes for a run
GET
/v1/runs/{runId}/variable-writes
Path Parameters
runId
string
required
path
Run ID
Query Parameters
limit
integer
optional
query
Max rows per page
offset
integer
optional
query
Offset for pagination (default 0)
Responses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
id
integer
name
string
newValue
unknown
oldValue
unknown
op
string
Enum:
set, manual_set, manual_resetrunId
string
scope
string
Enum:
workflow, runworkflowId
string
writtenAt
string
writtenByNode
string
limit
integer
offset
integer
message
string
requestId
string
curl -X GET 'https://api.example.com/v1/runs/string/variable-writes' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/runs/string/variable-writes', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/runs/string/variable-writes', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/runs/string/variable-writes", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "id": 123, "name": "<string>", "newValue": "<unknown>", "oldValue": "<unknown>", "op": "set", "runId": "<string>", "scope": "workflow", "workflowId": "<string>", "writtenAt": "<string>", "writtenByNode": "<string>" } ], "limit": 123, "offset": 123 }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/runs/{runId}/variable-writes
